Package io.vertx.camel

## Class CamelMapping

- java.lang.Object
- - io.vertx.camel.CamelMapping

- Direct Known Subclasses:
    `InboundMapping`, `OutboundMapping`

      public class CamelMapping
      extends Object

  Parent class for mapping between Vert.x event bus and Camel endpoints.
  Author:
    Clement Escoffier

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static boolean` | `DEFAULT_HEADERS_COPY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CamelMapping()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAddress()` |
    `String` | `getUri()` |
    `boolean` | `isHeadersCopy()` |
    `CamelMapping` | `setAddress​(String address)` | Sets the event bus address.
    `CamelMapping` | `setEndpoint​(org.apache.camel.Endpoint endpoint)` | Sets the Camel endpoint.
    `CamelMapping` | `setHeadersCopy​(boolean headersCopy)` | Sets whether or not the headers of the input message are copied in the output message.
    `CamelMapping` | `setUri​(String uri)` | Sets the Camel endpoint URI.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_HEADERS_COPY

          public static final boolean DEFAULT_HEADERS_COPY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CamelMapping

          public CamelMapping()

  - ### Method Detail

    - #### getUri

          public String getUri()

      Returns:
        the Camel endpoint URI.

    - #### setUri

          public CamelMapping setUri​(String uri)

      Sets the Camel endpoint URI.
      Parameters:
        `uri` - the uri
      Returns:
        the current `CamelMapping`

    - #### setEndpoint

          public CamelMapping setEndpoint​(org.apache.camel.Endpoint endpoint)

      Sets the Camel endpoint. If used, `setUri(String)` does not need to be called.
      Parameters:
        `endpoint` - the endpoint
      Returns:
        the current `CamelMapping`

    - #### isHeadersCopy

          public boolean isHeadersCopy()

      Returns:
        whether or not the headers of the input message are copied in the output message.

    - #### setHeadersCopy

          public CamelMapping setHeadersCopy​(boolean headersCopy)

      Sets whether or not the headers of the input message are copied in the output message.
      Parameters:
        `headersCopy` - `true` to copy the headers
      Returns:
        the current `CamelMapping`

    - #### getAddress

          public String getAddress()

      Returns:
        the event bus address.

    - #### setAddress

          public CamelMapping setAddress​(String address)

      Sets the event bus address.
      Parameters:
        `address` - the address
      Returns:
        the current `CamelMapping`